resize {EBImage} | R Documentation

## Image transformation: rotation, resize, etc.

### Description

Functions to rotate, mirror and resize images.

### Usage

      ## S4 method for signature 'Image':
      affinet(x, sx=0, rx=0, ry=0, sy=0, tx=0, ty=0, ...)
      ## S4 method for signature 'Image':
      flip(x, ...)
      ## S4 method for signature 'Image':
      flop(x, ...)
      ## S4 method for signature 'Image':
      resample(x, w, h, ...)
      ## S4 method for signature 'Image':
      resize(x, w, h, blur=1, filter="Lanczos", ...)
      ## S4 method for signature 'Image':
      rotate(x, angle=90, col, ...)

### Arguments

`x` | An object of `Image`.
`sx, rx, ry, sy, tx, ty` | Elements of the affine matrix.
`w, h` | Width and height of a new resized/resampled image. One of these arguments can be missing to enable proportional resize.
`blur` | The blur factor, where 1 (`TRUE`) is blurry, 0 (`FALSE`) is sharp.
`filter` | Resize pixel sampling filter.
`angle` | Image rotation angle in degrees.
`col` | A numeric, integer or character specifying the background color of the rotated image. Not implemented yet, defaults to black.
`...` | Reserved.

### Details

`affinet` transforms an image as dictated by the affine matrix.

`flip` creates a vertical mirror image by reflecting the pixels around the central x-axis.

`flop` creates a horizontal mirror image by reflecting the pixels around the central y-axis.

`resample` scales an image to the desired dimensions with pixel sampling. Unlike other scaling methods, this method does not introduce any additional color into the scaled image.

`resize` scales an image to the desired dimensions using the supplied filter algorithm. Available filters are: `Point, Box, Triangle, Hermite, Hanning, Hamming, Blackman, Gaussian, Quadratic, Cubic, Catrom, Mitchell, Lanczos, Bessel, Sinc`. Most of the filters are FIR (finite impulse response), however, Bessel, Gaussian, and Sinc are IIR (infinite impulse response). Bessel and Sinc are windowed (brought down to zero) with the Blackman filter.

`rotate` creates a new image that is a rotated copy of an existing one. Positive angles rotate counter-clockwise (right-hand rule), while negative angles rotate clockwise. Rotated images are usually larger than the originals and have 'empty' triangular corners. X axis. Empty triangles left over from shearing the image are filled with the background color.

### Value

A transformed image in an object of `Image`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2006-2007

### References

ImageMagick: http://www.imagemagick.org.

### See Also

`Image`

[Package EBImage version 2.6.0 Index]